#ifndef _main_h_
#define _main_h_

#include <io.h>

#define XTAL 1e6				// 1MHz

#define TIMERTICK	(XTAL / 64 / 256)	// timer ticks per second

#define SECONDS(x)	((u16)(TIMERTICK * (x) + 0.5))

typedef unsigned char  u8;
typedef   signed char  s8;
typedef unsigned short u16;
typedef   signed short s16;
typedef unsigned long  u32;
typedef   signed long  s32;
typedef u8             bit;


#define LED_DDR		DDRA
#define LED_PORT	PORTA
#define LED0		0
#define LED1		1
#define LED2		2
#endif
